Bug 1294006 - [abrt] sddm: QArrayData::shared_null(): sddm killed by SIGILL
[abrt] sddm: QArrayData::shared_null(): sddm killed by SIGILL
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: sddm (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Martin Bříza
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:be643f6a45fb5816a146e6751a2...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-23 20:40 EST by Andrej Podzimek
Modified: 2016-12-20 12:21 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 12:21:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (25.38 KB, text/plain)
2015-12-23 20:40 EST, Andrej Podzimek
no flags Details
File: cgroup (188 bytes, text/plain)
2015-12-23 20:40 EST, Andrej Podzimek
no flags Details
File: core_backtrace (384 bytes, text/plain)
2015-12-23 20:40 EST, Andrej Podzimek
no flags Details
File: dso_list (3.94 KB, text/plain)
2015-12-23 20:40 EST, Andrej Podzimek
no flags Details
File: environ (71 bytes, text/plain)
2015-12-23 20:40 EST, Andrej Podzimek
no flags Details
File: exploitable (120 bytes, text/plain)
2015-12-23 20:40 EST, Andrej Podzimek
no flags Details
File: limits (1.29 KB, text/plain)
2015-12-23 20:40 EST, Andrej Podzimek
no flags Details
File: maps (18.99 KB, text/plain)
2015-12-23 20:40 EST, Andrej Podzimek
no flags Details
File: mountinfo (3.87 KB, text/plain)
2015-12-23 20:40 EST, Andrej Podzimek
no flags Details
File: namespaces (85 bytes, text/plain)
2015-12-23 20:40 EST, Andrej Podzimek
no flags Details
File: open_fds (1.43 KB, text/plain)
2015-12-23 20:40 EST, Andrej Podzimek
no flags Details
File: proc_pid_status (965 bytes, text/plain)
2015-12-23 20:40 EST, Andrej Podzimek
no flags Details
File: var_log_messages (865 bytes, text/plain)
2015-12-23 20:40 EST, Andrej Podzimek
no flags Details

  None (edit)
Description Andrej Podzimek 2015-12-23 20:40:07 EST
Version-Release number of selected component:
sddm-0.13.0-4.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 3
cmdline:        /usr/bin/sddm
crash_function: QArrayData::shared_null
executable:     /usr/bin/sddm
global_pid:     1686
kernel:         4.2.7-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 QArrayData::shared_null
 #1 QObject::connect at kernel/qobject.cpp:2662
 #2 SDDM::Auth::Private::setSocket at /usr/src/debug/sddm-0.13.0/src/auth/Auth.cpp:141
 #3 SDDM::Auth::SocketServer::handleNewConnection at /usr/src/debug/sddm-0.13.0/src/auth/Auth.cpp:93
 #4 QMetaObject::activate at kernel/qobject.cpp:3713
 #5 QLocalServerPrivate::_q_onNewConnection at socket/qlocalserver_unix.cpp:274
 #6 QMetaObject::activate at kernel/qobject.cpp:3713
 #8 QSocketNotifier::activated at .moc/moc_qsocketnotifier.cpp:134
 #9 QSocketNotifier::event at kernel/qsocketnotifier.cpp:260
 #10 QCoreApplication::notify at kernel/qcoreapplication.cpp:1038
Comment 1 Andrej Podzimek 2015-12-23 20:40:13 EST
Created attachment 1109074 [details]
File: backtrace
Comment 2 Andrej Podzimek 2015-12-23 20:40:14 EST
Created attachment 1109075 [details]
File: cgroup
Comment 3 Andrej Podzimek 2015-12-23 20:40:15 EST
Created attachment 1109076 [details]
File: core_backtrace
Comment 4 Andrej Podzimek 2015-12-23 20:40:17 EST
Created attachment 1109077 [details]
File: dso_list
Comment 5 Andrej Podzimek 2015-12-23 20:40:18 EST
Created attachment 1109078 [details]
File: environ
Comment 6 Andrej Podzimek 2015-12-23 20:40:19 EST
Created attachment 1109079 [details]
File: exploitable
Comment 7 Andrej Podzimek 2015-12-23 20:40:21 EST
Created attachment 1109080 [details]
File: limits
Comment 8 Andrej Podzimek 2015-12-23 20:40:23 EST
Created attachment 1109081 [details]
File: maps
Comment 9 Andrej Podzimek 2015-12-23 20:40:24 EST
Created attachment 1109082 [details]
File: mountinfo
Comment 10 Andrej Podzimek 2015-12-23 20:40:26 EST
Created attachment 1109083 [details]
File: namespaces
Comment 11 Andrej Podzimek 2015-12-23 20:40:27 EST
Created attachment 1109084 [details]
File: open_fds
Comment 12 Andrej Podzimek 2015-12-23 20:40:29 EST
Created attachment 1109085 [details]
File: proc_pid_status
Comment 13 Andrej Podzimek 2015-12-23 20:40:30 EST
Created attachment 1109086 [details]
File: var_log_messages
Comment 14 Fedora End Of Life 2016-11-24 09:29:54 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2016-12-20 12:21:42 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.